db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "V.Narayanan (JIRA)" <j...@apache.org>
Subject [jira] Updated: (DERBY-2385) create the stored procedures called by LOB related JDBC methods during upgrade
Date Thu, 29 Mar 2007 12:55:25 GMT

     [ https://issues.apache.org/jira/browse/DERBY-2385?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

V.Narayanan updated DERBY-2385:
-------------------------------

    Attachment: upgrade_v3.stat
                upgrade_v3.diff

I have changed the tests to match the advice I got from the community. 

1) passed the phase into the suite method of Changes10_3
2) Add the ClobStoredProcedureTest and BlobStoredProcedureTest suites to the suite returned
from Changes10_3 when the phase is PH_HARD_UPGRADE.

I ran derbyall and had 0 failures

I copied the 10.2 jars to a directory named <parent>/10.2.2.0 and used the following
command to run the tests

java -DderbyTesting.oldReleasePath=<parent> junit.textui.TestRunner org.apache.derbyTesting.functionTests.tests.upgradeTests._Suite


The tests ran without failures. I had run it earlier and noticed 71 runs. With my patch it
has 87 test runs (16 of the tests for the locator related stored procedures.).

I HAVE NOT run junit tests (except for upgrade). I was planning to run it tonight and am confident
that I will not have any failures there.

I request this patch to be considered for reviews and comments and if everything is ok a commit
too.

> create the stored procedures called by LOB related JDBC methods during upgrade
> ------------------------------------------------------------------------------
>
>                 Key: DERBY-2385
>                 URL: https://issues.apache.org/jira/browse/DERBY-2385
>             Project: Derby
>          Issue Type: Task
>          Components: JDBC
>    Affects Versions: 10.3.0.0
>            Reporter: V.Narayanan
>         Assigned To: V.Narayanan
>         Attachments: upgrade_v1.diff, upgrade_v1.stat, upgrade_v2.diff, upgrade_v2.stat,
upgrade_v3.diff, upgrade_v3.stat
>
>
> DataDictionaryImpl.create_10_3_LOB_Specific_functions() has to be called from DD_Version.doFullUpgrade()
in order to create the procedures when upgrading from 10.2 or earlier versions.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message